Loading...
Searching...
No Matches
ReactionRunner.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/ChemReactions/Reaction.h>`
`#include <GraphMol/ROMol.h>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::ReactionRunnerUtils

## Functions

RDKIT_CHEMREACTIONS_EXPORT std::vector< MOL_SPTR_VECT > | RDKit::run_Reactants (const ChemicalReaction &rxn, const MOL_SPTR_VECT &reactants, unsigned int maxProducts=1000)
| Runs the reaction on a set of reactants.
RDKIT_CHEMREACTIONS_EXPORT std::vector< MOL_SPTR_VECT > | RDKit::run_Reactant (const ChemicalReaction &rxn, const ROMOL_SPTR &reactant, unsigned int reactantIdx)
| Runs a single reactant against a single reactant template.
RDKIT_CHEMREACTIONS_EXPORT bool | RDKit::run_Reactant (const ChemicalReaction &rxn, RWMol &reactant, bool removeUnmatchedAtoms=true)
RDKIT_CHEMREACTIONS_EXPORT ROMol * | RDKit::reduceProductToSideChains (const ROMOL_SPTR &product, bool addDummyAtoms=true)
RDKIT_CHEMREACTIONS_EXPORT MOL_SPTR_VECT | RDKit::ReactionRunnerUtils::generateOneProductSet (const ChemicalReaction &rxn, const MOL_SPTR_VECT &reactants, const std::vector< MatchVectType > &reactantsMatch)
RDKIT_CHEMREACTIONS_EXPORT RWMOL_SPTR | RDKit::ReactionRunnerUtils::convertTemplateToMol (const ROMOL_SPTR prodTemplateSptr)